import { AbortOptions, CatOptions, IpfsNodeType, InitOptions, IpfsFileStats, IpfsNode, IpfsNodePrperties } from '../../ipfs';
declare class KuboNode implements IpfsNode {
    readonly nodeType: IpfsNodeType;
    private node?;
    private _config;
    get config(): IpfsNodePrperties;
    private _isStarted;
    get isStarted(): boolean;
    private initConfig;
    init(options?: InitOptions): Promise<void>;
    stat(cid: string, options?: AbortOptions): Promise<IpfsFileStats>;
    cat(cid: string, options?: CatOptions): AsyncIterable<Uint8Array>;
    add(content: File | string, options?: AbortOptions): Promise<string>;
    pin(cid: string, options?: AbortOptions): Promise<string>;
    getPeers(): Promise<string[]>;
    stop(): Promise<void>;
    start(): Promise<void>;
    connectPeer(address: string): Promise<boolean>;
    ls(): AsyncIterable<import("ipfs-core-types/dist/src/pin").LsResult>;
    info(): Promise<{
        id: string;
        agentVersion: string;
        repoSize: bigint;
    }>;
}
export default KuboNode;
